Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci.visitor
Class SciStatementVisitorAdapter

public abstract class SciStatementVisitorAdapter
implements SciStatementVisitor

An empty implementation of `SciStatementVisitor` interface. In this class all methods call `visitStatement` method which returns `null`.

Author:
  TogetherSoft

Method Summary
`Object` | `visitCaseStatement(SciCaseStatement sciStatement)`
`Object` | `visitCatchBlockStatement(SciCatchBlockStatement sciStatement)`
`Object` | `visitCompoundStatement(SciCompoundStatement sciStatement)`
`Object` | `visitDeclarationStatement(SciDeclarationStatement sciStatement)`
`Object` | `visitExpressionStatement(SciExpressionStatement sciStatement)`
`Object` | `visitIfStatement(SciIfStatement sciStatement)`
`Object` | `visitLoopStatement(SciLoopStatement sciStatement)`
`Object` | `visitReturnStatement(SciReturnStatement sciStatement)`
`Object` | `visitStatement(SciStatement sciStatement)`
`Object` | `visitSwitchStatement(SciSwitchStatement sciStatement)`
`Object` | `visitThrowStatement(SciThrowStatement sciStatement)`
`Object` | `visitTryStatement(SciTryStatement sciStatement)`

Method Detail

### visitCaseStatement

    public Object visitCaseStatement(SciCaseStatement sciStatement)

### visitCatchBlockStatement

    public Object visitCatchBlockStatement(SciCatchBlockStatement sciStatement)

### visitCompoundStatement

    public Object visitCompoundStatement(SciCompoundStatement sciStatement)

### visitDeclarationStatement

    public Object visitDeclarationStatement(SciDeclarationStatement sciStatement)

### visitExpressionStatement

    public Object visitExpressionStatement(SciExpressionStatement sciStatement)

### visitIfStatement

    public Object visitIfStatement(SciIfStatement sciStatement)

### visitLoopStatement

    public Object visitLoopStatement(SciLoopStatement sciStatement)

### visitReturnStatement

    public Object visitReturnStatement(SciReturnStatement sciStatement)

### visitStatement

    public Object visitStatement(SciStatement sciStatement)

### visitSwitchStatement

    public Object visitSwitchStatement(SciSwitchStatement sciStatement)

### visitThrowStatement

    public Object visitThrowStatement(SciThrowStatement sciStatement)

### visitTryStatement

    public Object visitTryStatement(SciTryStatement sciStatement)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD